// MeterBar.h : header file
//
#ifndef _METERBAR_H_
#define _METERBAR_H_
/////////////////////////////////////////////////////////////////////////////
// CMeterBar window

class CMeterBar : public CStatusBar
{  
// Construction
public:
	CMeterBar();

// Attributes
public:
  void SetPos(int pos); 
  int GetPos() 
    {return m_val; }
  BOOL Finished()
    {return (m_val >= m_max);}
	CProgressCtrl& GetProgressCtrl()
		{ return m_meter; }
	BOOL SetIndicators(const UINT* lpIDArray, int nIDCount);

//Data members
protected:
  int m_min, m_max, m_val;
  char m_message[256];
	CProgressCtrl m_meter;
  BOOL m_InProgress;
  int m_nIDCount;
  UINT m_nPaneID[5];
  UINT m_nPaneStyle[5];
  int m_cxPaneWidth[5];
  
// Implementation
public:
	virtual ~CMeterBar();
  void InitProgress();
  void ShowProgress();
  void HideProgress(); 
  void ProgressMeter(int min, int max, int val, char *str);
	
  // Generated message map functions
protected:
	//{{AFX_MSG(CMeterBar)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////
#endif // _METERBAR_H_
