// MResDlg.h : header file
//

#ifndef _MResDlg_H_
#define _MResDlg_H_

/////////////////////////////////////////////////////////////////////////////
// CMResDlg dialog

#define SEGUIMIENTO_NINGUNO     0
#define SEGUIMIENTO_CONTINUIDAD 1
#define SEGUIMIENTO_DIRECCION   2

class CMResDlg : public CDialog
{
public:
    static int         seguimiento;
    int algoritm_type;

// Construction
public:
	CMResDlg( int algType, CWnd* pParent = NULL);   // copy constructor
// Dialog Data
protected:
	//{{AFX_DATA(CMResDlg)
	enum     { IDD = IDD_MRESDLG };
  int      m_Seguimiento;
  BOOL     m_PasoApaso;
	//}}AFX_DATA


// Overrides
protected:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMResDlg)
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMResDlg)
	afx_msg void OnHelp();
	afx_msg void OnNoSeguimiento();
	afx_msg void OnSegConti();
  afx_msg void OnSegDirec();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CCannyMresDlg dialog

#define ORDEN_ASCENDENTE             0
#define ORDEN_DESCENDENTE            1

class CCannyMresDlg : public CDialog
{

// Construction
public:
	CCannyMresDlg(CWnd* pParent = NULL);   // standard constructor
  void EnableVisibleChildren();
  void ExpandDialog ();

// Dialog Data
protected:
// Dialog Data
	//{{AFX_DATA(CCannyMresDlg)
	enum { IDD = IDD_CANYMRES };
    int      m_OrdenCasamiento;
    int      m_Desplazamiento;
    BOOL     m_PasoApaso;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCannyMresDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
 	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCannyMresDlg)
	afx_msg void OnHelp();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnMore();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CCannyMresDlg4x4 : public CDialog
{
// Construction
public:
	CCannyMresDlg4x4(CWnd* pParent = NULL);   // standard constructor
  void EnableVisibleChildren();
  void ExpandDialog ();

// Dialog Data
protected:
// Dialog Data
	//{{AFX_DATA(CCannyMresDlg4x4)
	enum { IDD = IDD_CANYMRES4x4 };
  int      m_OrdenCasamiento;
  int      m_Desplazamiento;
  BOOL     m_PasoApaso;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCannyMresDlg4x4)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
 	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCannyMresDlg4x4)
	afx_msg void OnHelp();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnMore();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
#endif // _MResDlg_H_
