#include "Stdafx.h"
#include "DibDoc.h"
#include "VisioApp.h"
#include "MultiPad.h"


int YesNo(char *str)
{
  // Returns IDYES or IDNO depending the Yes or No
  // button was selected
  return AfxMessageBox((LPCTSTR) str, MB_YESNO | MB_ICONQUESTION);
}

int YesNoCancel(char *str)
{
  // Returns IDYES, IDNO or IDCANCEL depending the Yes, No
  // od Cancel button was selected
  return AfxMessageBox((LPCTSTR) str, MB_YESNOCANCEL | MB_ICONQUESTION);
}

int OkCancel(char *str)
{
  // Returns IDOK or IDCANCEL depending the Ok or Cancel
  // button was selected
  return AfxMessageBox((LPCTSTR) str, MB_OKCANCEL | MB_ICONQUESTION);
}

int RetryCancel(char *str)
{
  // Returns IDABORT or IDRETRY depending the Abort or
  // Retry button was selected
  return AfxMessageBox((LPCTSTR) str, MB_RETRYCANCEL | MB_ICONQUESTION);
}

int AbortRetryIgnore(char *str)
{
  // Returns IDABORT, IDRETRY or IDIGNORE depending the Abort,
  // Retry or Cancel button was selected
  return AfxMessageBox((LPCTSTR) str, MB_ABORTRETRYIGNORE | MB_ICONQUESTION);
}

/////////////////////////////////////////////////////////////////////////////

int CDibDoc::YesNo(char *str)
{
  // Returns IDYES or IDNO depending the Yes or No
  // button was selected
  return AfxMessageBox((LPCTSTR) str, MB_YESNO | MB_ICONQUESTION);
}

int CDibDoc::YesNoCancel(char *str)
{
  // Returns IDYES, IDNO or IDCANCEL depending the Yes, No
  // od Cancel button was selected
  return AfxMessageBox((LPCTSTR) str, MB_YESNOCANCEL | MB_ICONQUESTION);
}

int CDibDoc::OkCancel(char *str)
{
  // Returns IDOK or IDCANCEL depending the Ok or Cancel
  // button was selected
  return AfxMessageBox((LPCTSTR) str, MB_OKCANCEL | MB_ICONQUESTION);
}

int CDibDoc::RetryCancel(char *str)
{
  // Returns IDABORT or IDRETRY depending the Abort or
  // Retry button was selected
  return AfxMessageBox((LPCTSTR) str, MB_RETRYCANCEL | MB_ICONQUESTION);
}

int CDibDoc::AbortRetryIgnore(char *str)
{
  // Returns IDABORT, IDRETRY or IDIGNORE depending the Abort,
  // Retry or Cancel button was selected
  return AfxMessageBox((LPCTSTR) str, MB_ABORTRETRYIGNORE | MB_ICONQUESTION);
}

/////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

int CDibDoc::printf(const char *format, ...)
{
  va_list arglist;
  int retval;
  va_start(arglist,format);
  retval = ((CVisioApp*) AfxGetApp())->GetTextView()->
    vprintf(format,arglist); 
  va_end(arglist);
  return retval;
}

int CDibDoc::scanf (const char *format, ...)
{
  va_list arglist;
  int retval;
  va_start(arglist,format);
  retval = ((CVisioApp*) AfxGetApp())->GetTextView()->
             vscanf(format,arglist); 
  va_end(arglist);
  return retval;
}

